# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_BooleanArray Class Reference

`#include <PDataStd_BooleanArray.hxx>`

Inheritance diagram for PDataStd_BooleanArray:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_BooleanArray ()
Standard_EXPORT void | SetLower (const Standard_Integer lower)
Standard_EXPORT void | SetUpper (const Standard_Integer upper)
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT void | Set (const Handle(PColStd_HArray1OfInteger)&values)
Standard_EXPORT const Handle_PColStd_HArray1OfInteger & | Get () const
| PDataStd_BooleanArray (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfInteger) _CSFDB_GetPDataStd_BooleanArraymyValues() const
void | _CSFDB_SetPDataStd_BooleanArraymyValues (const Handle(PColStd_HArray1OfInteger)&p)
Standard_Integer | _CSFDB_GetPDataStd_BooleanArraymyLower () const
void | _CSFDB_SetPDataStd_BooleanArraymyLower (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPDataStd_BooleanArraymyUpper () const
void | _CSFDB_SetPDataStd_BooleanArraymyUpper (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_HArray1OfInteger | myValues
Standard_Integer | myLower
Standard_Integer | myUpper

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_BooleanArray::PDataStd_BooleanArray | ( |  | ) |

PDataStd_BooleanArray::PDataStd_BooleanArray | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PDataStd_BooleanArray::_CSFDB_GetPDataStd_BooleanArraymyLower | ( |  | ) | const`[inline]`

Standard_Integer PDataStd_BooleanArray::_CSFDB_GetPDataStd_BooleanArraymyUpper | ( |  | ) | const`[inline]`

void PDataStd_BooleanArray::_CSFDB_SetPDataStd_BooleanArraymyLower | ( | const Standard_Integer | p | ) | `[inline]`

void PDataStd_BooleanArray::_CSFDB_SetPDataStd_BooleanArraymyUpper | ( | const Standard_Integer | p | ) | `[inline]`

void PDataStd_BooleanArray::_CSFDB_SetPDataStd_BooleanArraymyValues | ( | const Handle(PColStd_HArray1OfInteger)& | p | ) | `[inline]`

Standard_EXPORT const Handle_PColStd_HArray1OfInteger& PDataStd_BooleanArray::Get | ( |  | ) | const

Standard_EXPORT const PDataStd_BooleanArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_BooleanArray::Handle | ( | PColStd_HArray1OfInteger |  | ) | const`[inline]`

Standard_EXPORT Standard_Integer PDataStd_BooleanArray::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_BooleanArray::Set | ( | const Handle(PColStd_HArray1OfInteger)& | values | ) |

Standard_EXPORT void PDataStd_BooleanArray::SetLower | ( | const Standard_Integer | lower | ) |

Standard_EXPORT void PDataStd_BooleanArray::SetUpper | ( | const Standard_Integer | upper | ) |

Standard_EXPORT Standard_Integer PDataStd_BooleanArray::Upper | ( |  | ) | const

## Field Documentation

Standard_Integer PDataStd_BooleanArray::myLower `[private]`

Standard_Integer PDataStd_BooleanArray::myUpper `[private]`

Handle_PColStd_HArray1OfInteger PDataStd_BooleanArray::myValues `[private]`

The documentation for this class was generated from the following file:

- PDataStd_BooleanArray.hxx